package JsonParser;

import java.util.Iterator;

import org.json.*;	

public class JsonParser {

	public void jsonParser(String jsondata) {
		
		// pars string in JSON Object
		JSONObject jsonObject = new JSONObject(jsondata);
		
		//Gets all key from JSON object
		Iterator<String> keys = jsonObject.keys();
		
		System.out.println(" ");
		System.out.println("Parse JSON : ");
		
		while(keys.hasNext()) {
		    String key = keys.next();
		    if (jsonObject.get(key) instanceof JSONObject) {
		    	JSONObject jsonObjectData = (JSONObject) jsonObject.get(key);
		    	System.out.println("JSON Value is a Object : " + jsonObjectData);
		    } else if(jsonObject.get(key) instanceof JSONArray) {
		    	JSONArray jsonArrayData = (JSONArray) jsonObject.get(key);
		    	System.out.println("JSON Value is a Array : " + jsonArrayData);
		    	
		    	//iterating JSON Array
		    	Iterator iterator = jsonArrayData.iterator();
		    	while(iterator.hasNext()) {
		    		 Object _dataObj = iterator.next();
		    		 if (_dataObj instanceof JSONObject) {
		    			 //Can process as JSON Object**
		    			 System.out.println(" 	Array of Json Object value is : " + _dataObj);
		    		 } else if(_dataObj instanceof Integer) {
		    			 System.out.println(" 	Integer Array value is : " + _dataObj);
		    		 }
		    	}
		    } else if(jsonObject.get(key) instanceof String) {
		    	System.out.println("JSON Value is a String : " + jsonObject.get(key).toString());
		    } else if(jsonObject.get(key) instanceof Integer) {
		    	System.out.println("JSON Value is a Integer : " + jsonObject.get(key).toString());
		    }
		}
	}
}
